{: test that succ syntax error causes a compilation error }

program e1032( output );

type
   colour = ( black, brown, red, orange, yellow, green, blue, violet, grey, white);

var
   e : colour;
   n : integer;

begin { e1032 }

   e := black;
   n := 2;
   e := succ( e, 2 );    { OK }
   e := succ( e1, 2 );   { !!! bad id }
   e := succ( e; 2 );    { !!! need comma separator }
   e := succ( e, 2, 0 ); { !!! extra arg }
   writeln( 'succ error not detected' );
end. { e1032 }

